<h1><%= @title = 'Task Detail' %></h1>
<div class="frm" style="margin: 10px 50px">
  <div class="bug_nav">
    <%= link_to("Prev", {:action => "prev", :id => @bug.id}, {"title" => "Previous Bug", "class" => "prev_btn"}) %>
    <%= link_to("Next", {:action => "next", :id => @bug.id}, {"title" => "Next Bug", "class" => "next_btn"})%>
  </div>
  <h3><%= @bug.project.name %>&nbsp;Project<% if @bug.area %> in <%= @bug.area.name %> Area<% end %></h3>
  <h2>Task <%= @bug.id %>:&nbsp;&nbsp;&nbsp;<%=h @bug.title %></h2>
  <fieldset>
    <legend>Info</legend>
    <table cellspacing="0" cellpadding="4" width="100%">
      <tr>
	<td class="tbl_label" width="40%">Status</td>
	<td class="tbl_data"><span style="font-weight: bold;"><%= @bug.status_name %></span></td>
      </tr>
      <tr>
	<td class="tbl_label">Assigned To</td>
	<td class="tbl_data"><%= @bug.user.full_name %></td>
      </tr>
      <tr>
	<td class="tbl_label">Category</td>
	<td class="tbl_data"><%= category_span(@bug.category) %></td>
      </tr>
      <tr>
	<td class="tbl_label">Fix For</td>
	<td class="tbl_data"><%= @bug.display_release %></td>
      </tr>
      <tr>
	<td class="tbl_label">Priority</td>
	<td class="tbl_data"><%= @bug.priority.title %></td>
      </tr>
      <tr>
	<td class="tbl_label">Estimate</td>
	<td class="tbl_data"><%= @bug.display_estimate %>&nbsp;</td>
      </tr>
      <tr>
	<td class="tbl_label">Version</td>
	<td class="tbl_data"><%=h @bug.display_version %>&nbsp;</td>
      </tr>
    </table>
  </fieldset>
  <% if logged_user.can_edit_bug(@bug) -%>
  <div class="btn">
    <% if @bug.active? -%>
    <input type="button" value="Edit" onclick="javascript:window.location = '<%= url_for :action => 'edit', :id => @bug.id %>'" />
    <input type="button" value="Assign" onclick="javascript:toggle('assign_users_span'); return false;" />
    <span id="assign_users_span" style="display: none;">
      <select id="assign_users" onchange="javascript:assign('assign_users');">
	<option value="-1">Choose a User...</option>
	<% for user in @users -%>
	<% next if user.id == @bug.user_id -%>
	<option value="<%= user.id %>"><%= user.full_name %></option>
	<% end -%>
      </select>
    </span>
    <input type="button" value="Resolve" onclick="javascript:window.location ='<%= url_for :action => 'resolve', :id => @bug.id %>'" />
    <% elsif @bug.resolved? -%>
    <input type="button" value="Reactivate" onclick="javascript:window.location ='<%= url_for :action => 'reactivate', :id => @bug.id %>'" />
    <input type="button" value="Close" onclick="javascript:window.location ='<%= url_for :action => 'close', :id => @bug.id %>'" />
    <% else -%>
    <input type="button" value="Reopen" onclick="javascript:window.location ='<%= url_for :action => 'reopen', :id => @bug.id %>'" />
    <% end -%>
  </div>
  <% end -%>
  <div id="history">
    <div id="history_menu">
      <ul>
	<li><%= show_changes_link @bug %></li>
	<li><%= show_comments_link @bug %></li>
      </ul>
    </div>
    <div id="history_content">
    <% if view_comments? -%>
      <ul class="comments">
	<%= render_collection_of_partials "comment", @bug.root_comments %>
      </ul>
      <% if @bug.has_comments? -%>
      <div id="comment_frm_toggle">
	<input type="button" onclick="javascript:toggleComment()" value="Create Comment" />
      </div>
      <%= start_form_tag({:action => "comment_create"}, {"id" => "comment_frm", "class" => "toggle_frm", "onsubmit" => "javascript:return validateCommentForm('comment_frm')", "style" => "display: none;"}) %>
      <% else -%>
      <%= start_form_tag({:action => "comment_create"}, {"id" => "comment_frm", "class" => "toggle_frm", "onsubmit" => "javascript:return validateCommentForm('comment_frm')"}) %>
      <% end -%>
      <input type="hidden" name="id" value="<%= @bug.id %>" />
      <label for="msg">Comment:</label><br />
      <textarea name="msg" cols="60" rows="7"></textarea><br />
      <input type="submit" value="Create" /><% if @bug.has_comments? %>&nbsp;(&nbsp;or&nbsp;<span onclick="javascript:toggleComment()">Cancel</span>&nbsp;)<% end %>
      <%= end_form_tag %>
    <% else -%>
      <%= render_collection_of_partials "change", @bug.full_changes %>
    <% end -%>
    </div>
    <div id="backtop"><a href="#topmost" title="Jump to the top">Back to Top</a> ^</div>
  </div>
  <div class="bug_nav">
    <%= link_to("Prev", {:action => "prev", :id => @bug.id}, {"title" => "Previous Bug", "class" => "prev_btn"}) %>
    <%= link_to("Next", {:action => "next", :id => @bug.id}, {"title" => "Next Bug", "class" => "next_btn"}) %>
  </div>
  <% if @bug.subscriptions.include? logged_user.id -%>
  <%= link_to("Unsubscribe", {:action => 'unsubscribe', :id => @bug.id}, {"title" => "Do not send me the change notifications", "class" => "unsubscribe_btn"}) %>
  <% else -%>
  <%= link_to("Subscribe", {:action => 'subscribe', :id => @bug.id}, {"title" => "Send me a notification about each change", "class" => "subscribe_btn"}) %>
  <% end -%>
</div>
<%= fade_run %>
<script language="javascript" type="text/javascript">
function assign(id) {
    window.location = '<%= url_for :action => 'assign', :id => @bug.id %>?assign_to=' + 
	document.getElementById(id).value;
}
</script>
